uniform float viewWidth;
uniform float viewHeight;
uniform vec2 texelSize;
uniform int isEyeInWater;
uniform float frameTimeCounter;
uniform vec3 fogColor;
uniform vec3 cameraPosition;
uniform vec4 entityColor;
uniform int worldTime;
uniform float rainStrength;
uniform float temperature;
uniform vec3 sunPosition;
uniform vec3 moonPosition;
uniform int worldDay;
uniform int heldBlockLightValue;
uniform int heldBlockLightValue2;
uniform float darknessFactor;
uniform float darknessLightFactor;
uniform float blindness;

uniform sampler2D colortex0;
uniform sampler2D colortex1;
uniform sampler2D colortex2;
uniform sampler2D depthtex0;
uniform sampler2D depthtex1;
uniform sampler2D noisetex;

uniform mat4 gbufferProjectionInverse;
uniform mat4 gbufferModelView;
uniform mat4 gbufferModelViewInverse;

uniform float near;
uniform float far;
const float sunPathRotation = -30;
const bool colortex0Clear = false;
const bool colortex1Clear = false;
const bool colortex2Clear = false;
const int noiseTextureResolution = 256;